Skip to main content
POST
/
static-export
/
jobs
/
{jobId}
/
bundle
Generate export bundle
curl --request POST \
  --url https://api.mintlify.com/v1/static-export/jobs/{jobId}/bundle \
  --header 'Authorization: Bearer <token>'
{
  "jobId": "se_3f9a2c1b8e7d4a06",
  "bundleUrl": "https://mintlify-static-exports.s3.amazonaws.com/se_3f9a2c1b8e7d4a06/bundle.tar.gz?X-Amz-Signature=...",
  "sizeBytes": 18432000,
  "expiresAt": "2023-11-07T05:31:56Z"
}
Static export requires an Enterprise plan.

Authorizations

Authorization
string
header
required

Admin API key. Generate one on the API keys page in your dashboard.

Path Parameters

jobId
string
required

The ID of a completed static export job.

Response

A presigned S3 link to the static export bundle.

jobId
string
required

The ID of the job this bundle was generated for.

Example:

"se_3f9a2c1b8e7d4a06"

bundleUrl
string<uri>
required

A presigned S3 link to the static export bundle archive. Download it before the link expires.

Example:

"https://mintlify-static-exports.s3.amazonaws.com/se_3f9a2c1b8e7d4a06/bundle.tar.gz?X-Amz-Signature=..."

sizeBytes
integer
required

The size of the bundle in bytes.

Example:

18432000

expiresAt
string<date-time>
required

When the presigned link expires.